Package org.eclipse.emf.cdo.lm.security.provider

# Class LMSecurityEditPlugin

java.lang.Object
org.eclipse.emf.common.util.DelegatingResourceLocator
org.eclipse.emf.common.EMFPlugin
org.eclipse.emf.cdo.lm.security.provider.LMSecurityEditPlugin

All Implemented Interfaces:
  `Logger`, `ResourceLocator`

public final class LMSecurityEditPlugin extends EMFPlugin
This is the central singleton for the LMSecurity edit plugin.

Generated

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`LMSecurityEditPlugin.Implementation`
The actual implementation of the Eclipse Plugin.

## Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

`EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper, EMFPlugin.OSGiDelegatingBundleActivator`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final LMSecurityEditPlugin`
`INSTANCE`
Keep track of the singleton.

### Fields inherited from class org.eclipse.emf.common.EMFPlugin

`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_OSGI_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

### Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

`baseURL, bundleLocalization, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

## Constructor Summary

Constructors
Constructor
Description
`LMSecurityEditPlugin()`
Create the instance.

## Method Summary

Modifier and Type
Method
Description
`static LMSecurityEditPlugin.Implementation`
`getPlugin()`
Returns the singleton instance of the Eclipse plugin.
`ResourceLocator`
`getPluginResourceLocator()`
Returns the singleton instance of the Eclipse plugin.

### Methods inherited from class org.eclipse.emf.common.EMFPlugin

`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getBundleLocalization, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

`getBaseURL, getImage, getString, getString, getString, getString`

## Field Details

### INSTANCE

public static final LMSecurityEditPlugin INSTANCE
Keep track of the singleton.

Generated

## Constructor Details

### LMSecurityEditPlugin

public LMSecurityEditPlugin()
Create the instance.

Generated

## Method Details

### getPluginResourceLocator

public ResourceLocator getPluginResourceLocator()
Returns the singleton instance of the Eclipse plugin.

Specified by:
  `getPluginResourceLocator` in class `EMFPlugin`
Returns:
  the singleton instance.
Generated

### getPlugin

public static LMSecurityEditPlugin.Implementation getPlugin()
Returns the singleton instance of the Eclipse plugin.

Returns:
  the singleton instance.
Generated